ClarisDrawGraphInternal::Transformation Struct Reference

Internal: the structure used to store a transformation ClarisDrawGraph. More...

## Public Member Functions
| Transformation ()
| constructor

## Public Attributes
float | m_rotate
| the rotation
MWAWVec2f | m_originalSize
| the original size
float | m_values [2]
| other values

## Friends
std::ostream & | operator<< (std::ostream &o, Transformation const &trans)

## Detailed Description

Internal: the structure used to store a transformation ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ Transformation()

ClarisDrawGraphInternal::Transformation::Transformation | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Transformation const & | trans )
| friend

## Member Data Documentation

## ◆ m_originalSize

MWAWVec2f ClarisDrawGraphInternal::Transformation::m_originalSize

the original size

Referenced by operator<<, ClarisDrawGraph::readShape(), ClarisDrawGraph::readTransformations(), and Transformation().

## ◆ m_rotate

float ClarisDrawGraphInternal::Transformation::m_rotate

the rotation

Referenced by operator<<, ClarisDrawGraph::readShape(), ClarisDrawGraph::readTransformations(), and Transformation().

## ◆ m_values

float ClarisDrawGraphInternal::Transformation::m_values[2]

other values

Referenced by operator<<, ClarisDrawGraph::readTransformations(), and Transformation().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx